Add Business Trip

Endpoint to add a new BusinessTrip.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Required scopes:
  • business_trip_write
Fingerprint order:
  • request_timestamp,name,traveller_user_id,traveller_card_id,wallet_id,join(concat(expense_allocation.spend_period,expense_allocation.amount,expense_allocation.amount_currency))
Body Params

Create BusinessTrip JSON parameters.

int64
required

The epoch timestamp in millis. This is checked in Soldo. Requests with timestamp older than 5 seconds will be rejected.

string
required

The BusinessTrip name.

string
required

The BusinessTrip description.

string
required

The BusinessTrip destination.

string
required

The BusinessTrip traveller User ID.

string
required

The BusinessTrip Card ID where to transfer money.

string
required

The ID of the Wallet the money are taken from, the funding source of the BusinessTrip.

tags
array of objects

The IDs of the Tag and related Dictionary to be assigned to the BusinessTrip.

tags
string
required

The BusinessTrip start date and time.

string
required

The BusinessTrip end date and time.

string
enum
required

The mode of the money transfer before and during the BusinessTrip (sortable: no).

Allowed:
pre_action
object

The action to be performed pre BusinessTrip(sortable: no).

post_action
object
required

The action to be performed post the BusinessTrip (sortable: no).

expense_allocation
array of objects

The BusinessTrip expense allocation. In Expense allocation: expense_category_id and description are mutually exclusive: provide expense_category_id (for an existing expense category) or description (for a custom expense), but not both.

expense_allocation
Headers
string
required
Defaults to {{fingerprint}}

Advanced authentication: SHA512SUM of the fingerprint values listed in the fingerprint order for this endpoint.

string
required
Defaults to {{fingerprint_signature}}

Advanced authentication: Signature of the X-Soldo-Fingerprint.

Responses

400

Your request has missing arguments or is malformed.

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json